# InMemorySourceFile (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.xfer
Class InMemorySourceFile

    java.lang.Object
      net.schmizz.sshj.xfer.InMemorySourceFile

All Implemented Interfaces:
  LocalSourceFile

    public abstract class InMemorySourceFile

extends Object
implements LocalSourceFile

Field Summary
`protected org.slf4j.Logger` `log`

Constructor Summary
`InMemorySourceFile()`

Method Summary
`Iterable<? extends LocalSourceFile>` `getChildren(LocalFileFilter filter)`
`long` `getLastAccessTime()` Returns last access time for the underlying file.
`long` `getLastModifiedTime()` Returns last access time for the underlying file.
`int` `getPermissions()` Returns the permissions for the underlying file
`boolean` `isDirectory()`
`boolean` `isFile()`
`boolean` `providesAtimeMtime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.xfer.LocalSourceFile
`getInputStream, getLength, getName`

Field Detail

### log

    protected final org.slf4j.Logger log

Constructor Detail

### InMemorySourceFile

    public InMemorySourceFile()

Method Detail

### isFile

    public boolean isFile()

  Specified by:
    `isFile` in interface `LocalSourceFile`

### isDirectory

    public boolean isDirectory()

  Specified by:
    `isDirectory` in interface `LocalSourceFile`

### getPermissions

    public int getPermissions()
                       throws IOException

  Description copied from interface: `LocalSourceFile`
  Returns the permissions for the underlying file

  Specified by:
    `getPermissions` in interface `LocalSourceFile`
  Returns:
    permissions e.g. 0644
  Throws:
    `IOException`

### providesAtimeMtime

    public boolean providesAtimeMtime()

  Specified by:
    `providesAtimeMtime` in interface `LocalSourceFile`

### getLastAccessTime

    public long getLastAccessTime()
                           throws IOException

  Description copied from interface: `LocalSourceFile`
  Returns last access time for the underlying file.

  Specified by:
    `getLastAccessTime` in interface `LocalSourceFile`
  Returns:
    time in seconds since Unix epoch
  Throws:
    `IOException`

### getLastModifiedTime

    public long getLastModifiedTime()
                             throws IOException

  Description copied from interface: `LocalSourceFile`
  Returns last access time for the underlying file.

  Specified by:
    `getLastModifiedTime` in interface `LocalSourceFile`
  Returns:
    time in seconds since Unix epoch
  Throws:
    `IOException`

### getChildren

    public Iterable<? extends LocalSourceFile> getChildren(LocalFileFilter filter)
                                                    throws IOException

  Specified by:
    `getChildren` in interface `LocalSourceFile`
  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.